<?php
/**
 * @version $Id: main.php 533 2008-09-15 01:57:56Z hodaka $
 * @package myuploader
 */

define('_MD_MYUPLOADER_ERROR_CONTENT_IS_NOT_FOUND', "Contents is not found.");
define('_MD_MYUPLOADER_LANG_NUM_PER_PAGE', 'How many images to show');
define('_MD_MYUPLOADER_LANG_INCLUDE_CHILDREN', "Count with children");
define('_MD_MYUPLOADER_ERROR_REQUIRED', "{0} is required.");
define('_MD_MYUPLOADER_ERROR_MINLENGTH', "{0} needs {1} or more letters.");
define('_MD_MYUPLOADER_ERROR_MAXLENGTH', "{0} needs within {1} letters.");
define('_MD_MYUPLOADER_ERROR_EXTENSION', "Uploaded file's extension does not match with the allowed list.");
define('_MD_MYUPLOADER_ERROR_INTRANGE', "{0} is incorrect.");
define('_MD_MYUPLOADER_ERROR_MIN', "{0} needs number more than {1} letters.");
define('_MD_MYUPLOADER_ERROR_MAX', "{0} needs number within {1} letters.");
define('_MD_MYUPLOADER_ERROR_OBJECTEXIST', "{0} is incorrect.");
define('_MD_MYUPLOADER_ERROR_DBUPDATE_FAILED', "Fail to update database.");
define('_MD_MYUPLOADER_ERROR_EMAIL', "{0} is an invalid email address.");
define('_MD_MYUPLOADER_LANG_ADD_A_NEW_MYUPLOADER', "Add an image");
define('_MD_MYUPLOADER_MESSAGE_CONFIRM_DELETE', "Are you sure to delete this data?");
define('_MD_MYUPLOADER_LANG_ADD_A_NEW_CATEGORY', "Add a category");
define('_MD_MYUPLOADER_LANG_CATEGORY_ID', "Category ID");
define('_MD_MYUPLOADER_LANG_CAT_NAME', "Category name");
define('_MD_MYUPLOADER_LANG_CAT_MAXSIZE', "Max size of an upload file.(KB)");
define('_MD_MYUPLOADER_LANG_CAT_WEIGHT', "Weight");
define('_MD_MYUPLOADER_LANG_CONTROL', "Control");
define('_MD_MYUPLOADER_LANG_CANCEL', "Cancel");

define('_MD_MYUPLOADER_LANG_CAT_ACTIVE', "Active");
define('_MD_MYUPLOADER_LANG_CAT_PID', "Parent ID");
define('_MD_MYUPLOADER_LANG_CATEGORY', "Category");
define('_MD_MYUPLOADER_LANG_CAT_VIEWGROUPS', "Groups with a view privilege");
define('_MD_MYUPLOADER_ERROR_PARENT_ID', "Invalid parent id");
define('_MD_MYUPLOADER_ERROR_PARENT_ID_NOEXIST', "No such a parent.");
define('_MD_MYUPLOADER_LANG_PARENT', "Parent");
define('_MD_MYUPLOADER_LANG_PARENT_TOP', "--------");
define('_MD_MYUPLOADER_LANG_CATEGORY_PARENT', "Parent category");
define('_MD_MYUPLOADER_LANG_CAT_UPLOADGROUPS', "Groups with an upload privilege");
define('_MD_MYUPLOADER_ERROR_GROUP_NOEXIST', "Group {0} does not exist.");
define('_MD_MYUPLOADER_LANG_ADD_A_NEW_IMAGE', "Add an image");
define('_MD_MYUPLOADER_LANG_IMAGE_ID', "Image ID");
define('_MD_MYUPLOADER_LANG_IMAGE_TITLE', "Title");
define('_MD_MYUPLOADER_LANG_IMAGE_DESCRIPTION', "Description");
define('_MD_MYUPLOADER_LANG_IMAGE_CAPTION', "Caption");
define('_MD_MYUPLOADER_LANG_IMAGE_FILENAME', "Filename");
define('_MD_MYUPLOADER_LANG_IMAGE_EXTENSION', "Extension");
define('_MD_MYUPLOADER_LANG_IMAGE_MIMETYPE', "Mime type");
define('_MD_MYUPLOADER_LANG_IMAGE_WIDTH', "Width");
define('_MD_MYUPLOADER_LANG_IMAGE_HEIGHT', "Height");
define('_MD_MYUPLOADER_LANG_IMAGE_THUMBWIDTH', "Thumbnail width");
define('_MD_MYUPLOADER_LANG_IMAGE_THUMBHEIGHT', "Thumbnail height");
define('_MD_MYUPLOADER_LANG_IMAGE_ACTIVE', "Active");
define('_MD_MYUPLOADER_LANG_IMAGE_WEIGHT', "Weight");
define('_MD_MYUPLOADER_LANG_IMAGE_CREATED', "Date registered");
define('_MD_MYUPLOADER_LANG_ADD_A_NEW_CATLINK', "Add an category link");
define('_MD_MYUPLOADER_LANG_CATLINK_ID', "CATLINK_ID");
define('_MD_MYUPLOADER_LANG_CATLINK_EDIT', "CATLINK_EDIT");
define('_MD_MYUPLOADER_LANG_CAT_DESCRIPTION', "Description of the category");
define('_MD_MYUPLOADER_LANG_DELETE_RELATED_IMAGES', "We are going to delete belonging images.");
define('_MD_MYUPLOADER_LANG_IMAGE_EDIT', "edit an image");
define('_MD_MYUPLOADER_MESSAGE_NO_PERM', "You are not permitted to access.");
define('_MD_MYUPLOADER_MESSAGE_REGISTER_FIRST', "Register first.");
define('_MD_MYUPLOADER_ERROR_NO_GROUP_IN_PARENT', "Upper category of '{0}' is not allowed '{1}'.");
define('_MD_MYUPLOADER_ERROR_WRONG_PARENT', "No such a parent is found.");
define('_MD_MYUPLOADER_LANG_LIST', "List");
define('_MD_MYUPLOADER_LANG_ADD_IMAGE', "Add an image");
define('_MD_MYUPLOADER_LANG_IMAGE_MODIFIED', "Date modified");
define('_MD_MYUPLOADER_ERROR_IMAGE_SIZE_OVER', "Width or Height exceeds {0}pix.");
define('_MD_MYUPLOADER_ERROR_FILE_SIZE_OVER', "File size exceeds {0}KB.");
define('_MD_MYUPLOADER_LANG_CAT_MAXLENGTH', "Max input length of width or height(px)");
define('_MD_MYUPLOADER_LANG_CAT_RESIZELENGTH', "Max length of main image(px)");
define('_MD_MYUPLOADER_LANG_CAT_THUMBLENGTH', "Max length of thumbnail(px)");
define('_MD_MYUPLOADER_ERROR_EMPTY_DIRNAME', "A directory name is undefined.");
define('_MD_MYUPLOADER_ERROR_MKDIR_ON_SAFEMODE', "Safe_mode is on. You must make directory manually and make it excutable and writable.");
define('_MD_MYUPLOADER_ERROR_CANT_MKDIR', "{0} directory could not be made.");
define('_MD_MYUPLOADER_ERROR_CANT_CHMOD', "{0} directory could not be writable. Investigate an owner or a privilege.");
define('_MD_MYUPLOADER_ERROR_OCCURRED_WHILE_UPLOADING', "Error occured while uploading.");
define('_MD_MYUPLOADER_ERROR_GD_LIB_VERSION', "GD library is required at version 2.0 or more.");
define('_MD_MYUPLOADER_ERROR_FILE_NOEXISTS', "A file {0} could not be found.");
define('_MD_MYUPLOADER_ERROR_NOT_IMAGE', "{0} is not an image data.");
define('_MD_MYUPLOADER_ERROR_FAILED_TO_OPEN', "Failed to read {0}.");
define('_MD_MYUPLOADER_ERROR_FAILED_TO_RESIZE', "Failed to resize {0}.");
define('_MD_MYUPLOADER_ERROR_FAILED_TO_INITIALIZE_GD_IMAGE', "Could not create {0} GD image.");
define('_MD_MYUPLOADER_ERROR_NOT_SUPPORTED_FUNC', "{0} function is not supported.");
define('_MD_MYUPLOADER_ERROR_FILE_UPLOADING_NEEDED', "An image data is required.");
define('_MD_MYUPLOADER_LANG_RESIZE_LENGTH', "Max length of a main image(px).");
define('_MD_MYUPLOADER_LANG_THUMB_LENGTH', "Max length of a thumbnail(px)");
define('_MD_MYUPLOADER_ERROR_NO_PERM_CATEGORY', "Invalid category.");
define('_MD_MYUPLOADER_LANG_CHOOSE_CATEGORY', "Choose a category");
define('_MD_MYUPLOADER_ERROR_IMAGE_EXTENSION', "Mime type of {0} is not allowed.");
define('_MD_MYUPLOADER_ERROR_IMAGE_TMP_DIR', "Tmp directory is undefined.");
define('_MD_MYUPLOADER_ERROR_MOVE_IMAGE', "Failed to get an image data.");
define('_MD_MYUPLOADER_ERROR_MAIN_SIZE_OVER', "Main image length exceeds {0}pix.");
define('_MD_MYUPLOADER_ERROR_THUMB_SIZE_OVER', "Thumbnail image length exceeds {0}pix.");
define('_MD_MYUPLOADER_LANG_IMAGE_POSITION', "Position");
define('_MD_MYUPLOADER_LANG_IMAGE', "Image");
define('_MD_MYUPLOADER_ERROR_NO_TARGET_SUBMITTED', "Upload directory is undefined.");
define('_MD_MYUPLOADER_LANG_INACTIVE', "Inactive");
define('_MD_MYUPLOADER_LANG_PHOTO_BY', "Photo by");
define('_MD_MYUPLOADER_LANG_LATEST_IMAGES', "Latest images");
define('_MD_MYUPLOADER_LANG_CATEGORY_OF', "of %s");
define('_MD_MYUPLOADER_LANG_IMAGE_DETAILS', "Details");
define('_MD_MYUPLOADER_LANG_SHOW_OPTIONS', "Modify lengths");
define('_MD_MYUPLOADER_LANG_BACK_TO_PREV', "Back to the previous image %s");
define('_MD_MYUPLOADER_LANG_PREVIOUS', "PREV");
define('_MD_MYUPLOADER_LANG_FORWARD_TO_NEXT', "Forward to the next image %s");
define('_MD_MYUPLOADER_LANG_NEXT', "NEXT");
define('_MD_MYUPLOADER_LANG_EDIT_THIS', "Edit the image");
define('_MD_MYUPLOADER_LANG_DELETE_THIS', "Delete the image");
define('_MD_MYUPLOADER_LANG_DETAILS', "Details");
define('_MD_MYUPLOADER_LANG_ALL_CATEGORIES', "------");
define('_MD_MYUPLOADER_LANG_MAIN_IMAGE', "Main image");
define('_MD_MYUPLOADER_LANG_THUMBNAIL', "Thumbnail");
define('_MD_MYUPLOADER_ERROR_VIEWGROUPS', "Viewable groups are required.");
define('_MD_MYUPLOADER_ERROR_UPLOADGROUPS', "Uploadable gorps are required.");
define('_MD_MYUPLOADER_ERROR_HTMLALLOWEDGROUPS', "Group '{0}' is not allowed to upload an image.");
define('_MD_MYUPLOADER_LANG_CAT_HTMLALLOWED_GROUPS', "Groups with a html allowed privilege.<br />Don't failed to give them an upload privilege.");
define('_MD_MYUPLOADER_ERROR_NO_PERM_HTML', "Html is not allowed.");
define('_MD_MYUPLOADER_LANG_DESCRIPTION_OPTIONS', "Options");
define('_MD_MYUPLOADER_LANG_HTML_ENABLED', "Enable HTML.");
define('_MD_MYUPLOADER_LANG_XCODE_ENABLED', "Enable Xoops Code.");
define('_MD_MYUPLOADER_LANG_AUTO_BR', "Auto break.");
define('_MD_MYUPLOADER_LANG_IMAGE_DELETE', "Delete the image");

?>